Package org.apache.sysds.runtime.instructions.cp

# Enum Class VariableCPInstruction.VariableOperationCode

java.lang.Object
java.lang.Enum<VariableCPInstruction.VariableOperationCode>
org.apache.sysds.runtime.instructions.cp.VariableCPInstruction.VariableOperationCode

All Implemented Interfaces:
  `Serializable`, `Comparable<VariableCPInstruction.VariableOperationCode>`, `Constable`

Enclosing class:
  VariableCPInstruction

public static enum VariableCPInstruction.VariableOperationCode extends Enum<VariableCPInstruction.VariableOperationCode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AssignVariable`
`CastAsBooleanVariable`
`CastAsDoubleVariable`
`CastAsFrameVariable`
`CastAsIntegerVariable`
`CastAsListVariable`
`CastAsMatrixVariable`
`CastAsScalarVariable`
`CopyVariable`
`CreateVariable`
`MoveVariable`
`Read`
`RemoveVariable`
`RemoveVariableAndFile`
`SetFileName`
`Write`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCast()`
`static VariableCPInstruction.VariableOperationCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariableCPInstruction.VariableOperationCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CreateVariable

public static final VariableCPInstruction.VariableOperationCode CreateVariable

### AssignVariable

public static final VariableCPInstruction.VariableOperationCode AssignVariable

### CopyVariable

public static final VariableCPInstruction.VariableOperationCode CopyVariable

### MoveVariable

public static final VariableCPInstruction.VariableOperationCode MoveVariable

### RemoveVariable

public static final VariableCPInstruction.VariableOperationCode RemoveVariable

### RemoveVariableAndFile

public static final VariableCPInstruction.VariableOperationCode RemoveVariableAndFile

### CastAsScalarVariable

public static final VariableCPInstruction.VariableOperationCode CastAsScalarVariable

### CastAsMatrixVariable

public static final VariableCPInstruction.VariableOperationCode CastAsMatrixVariable

### CastAsFrameVariable

public static final VariableCPInstruction.VariableOperationCode CastAsFrameVariable

### CastAsListVariable

public static final VariableCPInstruction.VariableOperationCode CastAsListVariable

### CastAsDoubleVariable

public static final VariableCPInstruction.VariableOperationCode CastAsDoubleVariable

### CastAsIntegerVariable

public static final VariableCPInstruction.VariableOperationCode CastAsIntegerVariable

### CastAsBooleanVariable

public static final VariableCPInstruction.VariableOperationCode CastAsBooleanVariable

### Write

public static final VariableCPInstruction.VariableOperationCode Write

### Read

public static final VariableCPInstruction.VariableOperationCode Read

### SetFileName

public static final VariableCPInstruction.VariableOperationCode SetFileName

## Method Details

### values

public static VariableCPInstruction.VariableOperationCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariableCPInstruction.VariableOperationCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCast

public boolean isCast()